#include <new.h>
#include <debug.h>
#include <kernel/heap.h>

void *operator new(size_t s)
{
	return heap_alloc(s, 0);
}

void *operator new[](size_t s)
{
	return heap_alloc(s, 0);
}

void *operator new(size_t , void *p)
{
	return p;
}

void operator delete(void *p)
{
	return heap_free(p);
}

void operator delete[](void *p)
{
	return heap_free(p);
}

